org.springframework.aop.framework.adapter

## Class GlobalAdvisorAdapterRegistry

- java.lang.Object
- - org.springframework.aop.framework.adapter.GlobalAdvisorAdapterRegistry

-     public abstract class GlobalAdvisorAdapterRegistry
      extends Object

  Singleton to publish a shared DefaultAdvisorAdapterRegistry instance.
  Author:
    Rod Johnson, Juergen Hoeller, Phillip Webb
  See Also:
    `DefaultAdvisorAdapterRegistry`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalAdvisorAdapterRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdvisorAdapterRegistry` | `getInstance()` Return the singleton `DefaultAdvisorAdapterRegistry` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalAdvisorAdapterRegistry

          public GlobalAdvisorAdapterRegistry()

  - ### Method Detail

    - #### getInstance

          public static AdvisorAdapterRegistry getInstance()

      Return the singleton `DefaultAdvisorAdapterRegistry` instance.